<div class="container">
    <div class="buttons mt-2">
        <h4>{{customerName}}'s orders</h4>
        <div>
            <button type="button" class="btn btn-primary" [routerLink]="['/', 'add', 'order', customerId]"
                *ngIf="listOrder.length > 0">Create Another Order</button>
            <button type="button" class="btn btn-secondary" [routerLink]="['/']">HOME</button>
        </div>

    </div>
    <div class="jumbotron jumbotron-fluid p-5" style="background-color: rgb(195, 195, 195); border-radius: 10px;"
        *ngIf="listOrder.length == 0">
        <div class="container" style="text-align: center;">
            <h1 class="display-4">Your order is empty</h1>
            <!-- <p class="lead">This is a modified jumbotron that occupies the entire horizontal space of its parent.</p> -->
            <button type="button" class="btn btn-secondary" [routerLink]="['/', 'add', 'order', customerId]">Create
                Some</button>
        </div>
    </div>
    <table class="table" *ngIf="listOrder.length > 0">
        <thead class="thead-dark">
            <tr>
                <th scope="col">#</th>
                <th scope="col">Product</th>
                <th scope="col">Quantity</th>
                <th scope="col">Action</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let data of listOrder; index as i">
                <th scope="row">{{i + 1}}</th>
                <td>{{data.product}}</td>
                <td>{{data.quantity}}</td>
                <td><button type="button" class="btn btn-secondary"
                        [routerLink]="['/', 'add', 'order', data.id, 'edit']">Edit</button>
                    <button type="button" class="btn btn-danger" (click)="deleteOrder(data.id)">Delete</button>
                </td>
            </tr>
        </tbody>
    </table>
</div>